Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1286457 - python3-parse_type requires python3-enum34, but enum is built into python3
Summary: python3-parse_type requires python3-enum34, but enum is built into python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-parse_type
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1283713
TreeView+ depends on / blocked
 
Reported: 2015-11-29 17:37 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2018-04-11 08:20 UTC (History)
4 users (show)

Fixed In Version: python-parse_type-0.3.4-5.fc23 python-parse_type-0.3.4-6.el7 python-parse_type-0.3.4-5.el7 python-parse_type-0.3.4-6.el6 python-parse_type-0.3.4-5.el6 python-parse_type-0.3.4-6.fc22 python-parse_type-0.3.4-5.fc22 python-parse_type-0.3.4-6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-20 23:00:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
remove the python3-enum34 dependency (4.48 KB, patch)
2015-12-15 09:12 UTC, David King
no flags Details | Diff
fix dependencies and add test patch (4.20 KB, patch)
2015-12-15 15:09 UTC, David King
no flags Details | Diff

Description Zbigniew Jędrzejewski-Szmek 2015-11-29 17:37:44 UTC
The dependency should be simply dropped.

python3-parse_type-0:0.3.4-3.fc23.noarch

Comment 1 David King 2015-12-15 09:12:19 UTC
Created attachment 1105930 [details]
remove the python3-enum34 dependency

The attached patch removes the python3-enum34 dependency and applies a patch for the bundled parse module to allow the tests to pass against Python 3.5. This builds fine in Rawhide, but if the change is to be applied on branches where a version of Python 3 that is less than 3.4, some versioned requirements would need to be added.

Successful scratch build including the change: http://koji.fedoraproject.org/koji/taskinfo?taskID=12195985

Comment 2 Matěj Cepl 2015-12-15 11:42:31 UTC
I don't understand what you are talking about:

matej@mitmanek: python-parse (f23)$ fedpkg switch-branch f23
Switched to branch 'f23'
matej@mitmanek: python-parse (f23)$ grep enum *.spec
matej@mitmanek: python-parse (f23)$

Comment 3 David King 2015-12-15 11:48:50 UTC
It would help if you looked in the correct repository: python-parse_type, not python-parse.

Comment 4 David King 2015-12-15 15:09:12 UTC
Created attachment 1106066 [details]
fix dependencies and add test patch

I see that a patch got added to git, but it works the wrong way round; removing the python-enum34 dependency (which is required when building against Python 2) and adding the python3-enum34 dependency (which is not required in Python 3 versions greater than 3.4) when Python 3 support is enabled:

http://pkgs.fedoraproject.org/cgit/python-parse_type.git/commit/?id=025f6a5255980bfba1cda52b898029be38bfbd1a

Also, the patch against the bundled parse to ensure that the tests pass with Python 3.5 was removed. Thus, attached is a patch (best applied with git am) which looks remarkably like my first patch, and allows the package to build in Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12200670

Comment 5 David King 2015-12-15 16:52:57 UTC
I see that another commit got added to git:

http://pkgs.fedoraproject.org/cgit/python-parse_type.git/commit/?id=76681986354530faa0eae8d0fa4df64a3d1091d2

The python-enum34 Requires and BuildRequires are duplicated (line 44 and 45, and line 28 and 48). It looks like the else block for "with python3" can simply be removed, as no extra dependencies are required in Python 3 support is disabled.

Comment 6 Fedora Update System 2015-12-15 18:02:45 UTC
python-parse_type-0.3.4-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-df9f80d61b

Comment 7 Fedora Update System 2015-12-15 18:03:22 UTC
python-parse_type-0.3.4-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f373c3f64c

Comment 8 Fedora Update System 2015-12-15 18:03:37 UTC
python-parse_type-0.3.4-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7134c8610d

Comment 9 Fedora Update System 2015-12-15 18:03:50 UTC
python-parse_type-0.3.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-296d93567c

Comment 10 Fedora Update System 2015-12-16 10:23:09 UTC
python-parse_type-0.3.4-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-55616cb314

Comment 11 Fedora Update System 2015-12-16 10:23:26 UTC
python-parse_type-0.3.4-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-83747d604e

Comment 12 Fedora Update System 2015-12-16 10:23:38 UTC
python-parse_type-0.3.4-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f94e9f87b1

Comment 13 Fedora Update System 2015-12-16 10:23:53 UTC
python-parse_type-0.3.4-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3b2abb8a18

Comment 14 Fedora Update System 2015-12-16 14:51:03 UTC
python-parse_type-0.3.4-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f373c3f64c

Comment 15 Fedora Update System 2015-12-16 15:18:28 UTC
python-parse_type-0.3.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-df9f80d61b

Comment 16 Fedora Update System 2015-12-16 15:19:48 UTC
python-parse_type-0.3.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-296d93567c

Comment 17 Fedora Update System 2015-12-17 01:59:51 UTC
python-parse_type-0.3.4-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7134c8610d

Comment 18 Fedora Update System 2015-12-17 07:22:30 UTC
python-parse_type-0.3.4-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-12-17 10:28:54 UTC
python-parse_type-0.3.4-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-55616cb314

Comment 20 Fedora Update System 2015-12-17 10:29:09 UTC
python-parse_type-0.3.4-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-83747d604e

Comment 21 Fedora Update System 2015-12-17 12:51:19 UTC
python-parse_type-0.3.4-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3b2abb8a18

Comment 22 Fedora Update System 2015-12-17 12:52:29 UTC
python-parse_type-0.3.4-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-parse_type'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f94e9f87b1

Comment 23 Fedora Update System 2016-02-20 23:00:15 UTC
python-parse_type-0.3.4-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-02-20 23:00:20 UTC
python-parse_type-0.3.4-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-02-20 23:56:44 UTC
python-parse_type-0.3.4-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-02-20 23:56:48 UTC
python-parse_type-0.3.4-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-02-21 02:26:33 UTC
python-parse_type-0.3.4-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-02-21 02:26:37 UTC
python-parse_type-0.3.4-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2016-02-21 16:31:53 UTC
python-parse_type-0.3.4-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.